Repository Certificates
List repository certificates.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
A file-glob pattern (not regular expression) the host name has to match.
The type of the certificate to match (ssh or https).
The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).
A successful response.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Accept: */*
{
"metadata": {
"selfLink": "text",
"resourceVersion": "text",
"continue": "text",
"remainingItemCount": "text",
"shardInfo": {
"selector": "text"
}
},
"items": [
{
"serverName": "text",
"certType": "text",
"certSubType": "text",
"certData": "Ynl0ZXM=",
"certInfo": "text"
}
]
}Create repository certificates.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 277
{
"certificates": {
"metadata": {
"selfLink": "text",
"resourceVersion": "text",
"continue": "text",
"remainingItemCount": "text",
"shardInfo": {
"selector": "text"
}
},
"items": [
{
"serverName": "text",
"certType": "text",
"certSubType": "text",
"certData": "Ynl0ZXM=",
"certInfo": "text"
}
]
},
"upsert": true
}{
"metadata": {
"selfLink": "text",
"resourceVersion": "text",
"continue": "text",
"remainingItemCount": "text",
"shardInfo": {
"selector": "text"
}
},
"items": [
{
"serverName": "text",
"certType": "text",
"certSubType": "text",
"certData": "Ynl0ZXM=",
"certInfo": "text"
}
]
}Delete repository certificates.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
A file-glob pattern (not regular expression) the host name has to match.
The type of the certificate to match (ssh or https).
The sub type of the certificate to match (protocol dependent, usually only used for ssh certs).
A successful response.
An unexpected error response.
DELETE /api/v1/agents/{agentIdentifier}/certificates HTTP/1.1
Accept: */*
{
"metadata": {
"selfLink": "text",
"resourceVersion": "text",
"continue": "text",
"remainingItemCount": "text",
"shardInfo": {
"selector": "text"
}
},
"items": [
{
"serverName": "text",
"certType": "text",
"certSubType": "text",
"certData": "Ynl0ZXM=",
"certInfo": "text"
}
]
}Last updated
Was this helpful?